﻿<?php
///////////////////////////////////////////////////////////////////////////

require_once 'lib/default_dune_plugin_fw.php';

require 'demo_plugin.php';

function throw_api_error()
{
    throw new DuneException(
        'API returned error', 0,
        ActionFactory::show_error(
            true,
            'Системная ошибка',
            array(
                'Сервер IPTV вернул ошибку.',
                'Обратитесь в тех. поддержку.')));
}

///////////////////////////////////////////////////////////////////////

function throw_server_unavailable_error()
{
    throw new DuneException(
        'API is unavailable', 0,
        ActionFactory::show_error(
            true,
            'Системная ошибка',
            array(
                'Сервер IPTV недоступен.',
                'Обратитесь в тех. поддержку.')));
}

///////////////////////////////////////////////////////////////////////

function throw_ares_error()
{
    throw new DuneException(
        'Internal ARES error', 0,
        ActionFactory::show_error(
            true,
            'Системная ошибка',
            array(
                'Ошибка выполнения ARES-компонента.',
                'Обратитесь в тех. поддержку.')));
}

///////////////////////////////////////////////////////////////////////////

function throw_plugin_error($error_message)
{
    throw new DuneException(
        "Internal ARES PHP plugin error: $error_message", 0,
        ActionFactory::show_error(
            true,
            'Системная ошибка',
            array(
                'Ошибка выполнения плагина.',
                'Обратитесь в тех. поддержку.')));
}

DefaultDunePluginFw::$plugin_class_name = 'DemoPlugin';

///////////////////////////////////////////////////////////////////////////
?>
